<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<th:block th:fragment="setContent(content)">
	
<title>5조 프로젝트</title>
<meta charset="utf-8" />
<meta name="viewport"
	content="width=device-width, initial-scale=1, user-scalable=no" />
<link rel="stylesheet" href="/assets/css/main.css" />
<style>
table {
	border-collapse: collapse;
	width: 120%;
}

th, td {
	padding: 8px;
	text-align: left;
	position: relative; /* 추가 */
}

th {
	background-color: #f2f2f2;
}

.inline-form {
	display: inline-block;
	margin-right: 10px;
}
</style>

<script src="https://code.jquery.com/jquery-3.4.1.js"></script>

	</head>
	<body class="is-preload">

		<!-- Content -->
		<div id="content">
			<div class="inner">
				<!-- Post -->
				<article class="box post post-excerpt">
					<th:block th:replace="${content}"></th:block>
				</article>
			</div>
		</div>
		<!-- -------------------------------------------------------구분선------------------------------------------------------- -->
		<!-- Sidebar -->
		<div id="sidebar">

			<!-- Logo -->
			<h1 id="logo">
				<a th:href="@{/}">SC.Street</a>
			</h1>

			<!-- Login -->
			<section class="box text-style1" th:if="${session.id == null}">
				<div class="inner">
					 
					   <div th:if="${#authorization.expression('isAuthenticated()')}">어서오세요 ! [[${#authentication.name}]]님!</div>
 							 				
					
					<button class="login-btn">
 				 <a th:if="${#authorization.expression('isAuthenticated()')}" th:href="@{/logout}">로그아웃</a>
 			     <a th:if="${#authorization.expression('!isAuthenticated()')}" th:href="@{/login}">로그인</a>
				</button>
					<h1>
						<a th:if="${#authorization.expression('!isAuthenticated()')}" th:href="@{/register}">회원가입</a>
					</h1>
					
				</div>
			</section>
			


			<!-- Nav -->
			<nav id="nav">
				<ul>
					<li th:class="${currentPage == 'map' ? 'current' : ''}"><a th:href="@{/map/list}">서울 문화거리 지도</a></li>
					<li th:class="${currentPage == 'placeboard' ? 'current' : ''}"><a th:href="@{/placeboard/list}">문화거리 리뷰 게시판</a></li>
					<li th:class="${currentPage == 'memberA' ? 'current' : ''}" sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/member/list}">회원 목록</a></li>
					<li th:class="${currentPage == 'request' ? 'current' : ''}" sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/request/list}">장소 요청목록</a></li>
					<li th:class="${currentPage == 'mapA' ? 'current' : ''}" sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/map/register}">장소 등록하기</a></li>
					<li th:class="${currentPage == 'interA' ? 'current' : ''}" sec:authorize="hasRole('ROLE_USER')"><a th:href="@{/interboard/list}">내 관심목록</a></li>
					<li th:class="${currentPage == 'request' ? 'current' : ''}" sec:authorize="hasRole('ROLE_USER')"><a th:href="@{/request/register}">장소 요청</a></li>
					<li th:class="${currentPage == 'readM' ? 'current' : ''}" sec:authorize="hasAnyRole('ROLE_USER','ROLE_ADMIN')"><a th:href="@{/member/readMine}">내 정보</a></li>
				</ul>
			</nav>

			<!-- 이 부분을 지움 -->

			<!-- Copyright -->
			<ul id="copyright">
				<li>&copy; Untitled.</li>
				<li>Design: <a href="http://html5up.net">HTML5 UP</a></li>
				<li>Editing: 조기연</li>
			</ul>

		</div>

		<!-- Scripts -->
		<script src="/assets/js/jquery.min.js"></script>
		<script src="/assets/js/browser.min.js"></script>
		<script src="/assets/js/breakpoints.min.js"></script>
		<script src="/assets/js/util.js"></script>
		<script src="/assets/js/main.js"></script>

		<script src="/path/to/typed.js/typed.js"></script>
		<script src="/path/to/typed.js/typed.min.js"></script>
		<script>
			var typed = new Typed('.typed', {
				strings : $('.typed').data('typed-items').split(','),
				typeSpeed : 100,
				backSpeed : 100,
				loop : true,
				cursorChar : '|',
				shuffle : false
			});
		</script>


	</body>
</th:block>
</html>